Imagick::stripImage
Imagick::textureImage
Imagick
PHP Manual

# Imagick::swirlImage

(PECL imagick 2.0.0)

Imagick::swirlImage — Swirls the pixels about the center of the image

### Description

bool Imagick::swirlImage ( float `$degrees` )

Swirls the pixels about the center of the image, where degrees indicates the sweep of the arc through which each pixel is moved. You get a more dramatic effect as the degrees move from 1 to 360.

### Parameters

`degrees`

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::stripImage
Imagick::textureImage
Imagick
PHP Manual